using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Tabela : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Table tabela = new Table();
        for (int i = 0; i <= 2; i++)
        {
            TableRow tRow = new TableRow();
            for (int x = 0; x <= 1; x++)
            {
                TableCell tCell = new TableCell();
                tCell.Text = GetDados(x, i);
                tRow.Cells.Add(tCell);
            }
            tabela.Rows.Add(tRow);
        }
        PlaceHolder1.Controls.Add(tabela);
    }

    private string GetDados(int celula, int linha)
    {
        string[,] arr = new string[2, 3];
        arr[0, 0] = "Nome";
        arr[1, 0] = "Profissão";
        arr[0, 1] = "Alfredo";
        arr[1, 1] = "Programador/Escritor";
        arr[0, 2] = "Maria";
        arr[1, 2] = "Contadora";
        return arr[celula, linha].ToString();
    }

}